#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#include <GUICtrlPic.au3>

Global $ButtonX1 = ((@DesktopWidth / 2) - 313) + 480			;Calculates the position where the button-area starts on the x-axis
Global $ButtonX2 = ((@DesktopWidth / 2) - 313) + (480 + 130)	;Calculates the position where the button-area ends on the x-axis
Global $ButtonY1 = ((@DesktopHeight / 2) - 206) + 360			;Calculates the position where the button-area starts on the y-axis
Global $ButtonY2 = ((@DesktopHeight / 2) - 206) + (360 + 40)	;Calculates the position where the button-area ends on the y-axis

$Form2 = GUICreate("CryInstaller - ", 626, 412, -1, -1, BitOR($WS_SYSMENU,$WS_POPUP), BitOR($WS_EX_TOPMOST,$WS_EX_WINDOWEDGE))	;Creates a new interface without any interaction-possibility
$Pic1 = GUICtrlCreatePic(@ScriptDir &"\Backgrnd.jpg", 0, 0, 626, 412)	;Creates the background picture
$Pic2 = _GUICtrlPic_Create(@ScriptDir &"\Button.png", 480, 360, 130, 40)	;Creates another picture (with a transparent channel)
GUISetState(@SW_SHOW)	;Shows the interface

Global $test = 0	;Used later to prevent the hover from flickering

While 1
	_mover($Pic2, @ScriptDir &"\Button.png", @ScriptDir &"\Button_Hover.png")	;Creates a "hover"-effect on the button-picture
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $Pic1
			If MouseGetPos(0) > $ButtonX1 And MouseGetPos(0) < $ButtonX2 Then	;If the cursor is inside of the button-picture (x-axis)
				If MouseGetPos(1) > $ButtonY1 And MouseGetPos(1) < $ButtonY2 Then	;If the cursor is inside of the button-picture (y-axis)
					MsgBox(0, "", "WIN")
				EndIf
			EndIf
		Case $GUI_EVENT_CLOSE
			Exit
	EndSwitch

WEnd

Func _mover($control, $bild1, $bild2)	;Function to create a "hover"-effect on the chosen picture
    $mpos = GUIGetCursorInfo()
    If (IsArray($mpos)) Then
        If ($mpos[4] = $control) Then
			If $test = 0 Then
				$test = 1
				_GUICtrlPic_SetImage($control, $bild2)
			EndIf
        Else
			If $test = 1 Then
				$test = 0
				_GUICtrlPic_SetImage($control, $bild1)
			EndIf
        EndIf
    EndIf
EndFunc
